/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

public class Tren {

	private int capacidad;
	private boolean cochera;
	private int direccion;
	private int linea;
	private int pasajeros;
	private int tiempoProxEst;
	private int est;
	
	/* direccin:	 1	-> sube
	 * 				-1	-> baja
	 * 
	 */
	public Tren(int capacidad, int direccion, int linea, int est) {
		
		this.capacidad = capacidad;
		this.direccion = direccion;
		this.linea = linea;
		this.est = est;
		this.tiempoProxEst = 5;
		this.cochera = false;
		this.pasajeros = 0;
		
	}
	
	public void setNew(int direccion, int est) {
		
		this.direccion = direccion;
		this.est = est;
		this.tiempoProxEst = 5;
		this.cochera = false;
		this.pasajeros = 0;
		
	}
	
	public void avanzar() {
		
		//si lleg al final, se guarda en la cochera
		if(est == 0 || est == 9)

			this.cochera = true;
		
		else {
		
			--this.tiempoProxEst;
			
			if(this.tiempoProxEst == 0)
				est = est + direccion;
		
		}
		
	}
	
	public int tiempoProxEst() {
		
		return this.tiempoProxEst;
		
	}
	
	public boolean estaEnCochera() {
		
		return this.cochera;
		
	}
	
	public void subirPasajeros(int pasajeros) {
		
		this.pasajeros += pasajeros;
		
	}
	
	public void bajarPasajeros(int pasajeros) {
		
		this.pasajeros -= pasajeros;
		
	}
	
	public int getPasajeros(){
		
		return this.pasajeros;
		
	}
	
	public int getCapacidad(){
		
		return this.capacidad;
		
	}
	
	public int getEstacion(){
		
		return this.est;
		
	}
	
	public int getDireccion(){
		
		return this.direccion;
		
	}
	
}
